# GSOC
Repository for Google Summer of Code 2019 at TensorFlow
---------------------------------------------
### GSOC Project Page
https://summerofcode.withgoogle.com/projects/#4662790671826944
### Mentors
- Sachin Joglekar ([@srjoglekar246](https://github.com/srjoglekar246))
- Vojtech Bardiovsky ([@vbardiovskyg](https://github.com/vbardiovskyg))

### Blogs Written
- Training TF2.0 models on TPUs: https://github.com/captain-pool/GSOC/wiki/Training-TF-2.0-Models-on-TPUs
### Tasks
|Evaluation|Task|Link|Done|
|:-:|:-:|:-:|:-:|
|E1|Sample TF Hub Module Deploy.|[Here](E1_TFHub_Sample_Deploy)| :heavy_check_mark: |
|E1|Image Retraining with TF Hub, TF 2.0 and Cloud TPU|[Here](E1_TPU_Sample)|  :heavy_check_mark: |
|E1|Convert ShuffleNet from ONNX to SavedModel 2.0|[Here](E1_ShuffleNet)| [:warning:](https://github.com/captain-pool/GSOC/issues/3) |
|E2|Train ESRGAN Model from Scratch and Export as TF Hub Module|[Here](E2_ESRGAN)|:heavy_check_mark:|
|E2|Adding Support to SavedModel 2.0 in `saved_model_cli`|[Here](https://github.com/tensorflow/tensorflow/pull/30752)|:heavy_check_mark:|
|E3|Add Sample Notebook demonstrating usage of ESRGAN TF Hub Module|[Here](https://www.tensorflow.org/hub/tutorials/image_enhancing)|:heavy_check_mark:|
|E3|Knowledge Distillation of ESRGAN|[Here](E3_Distill_ESRGAN)|:heavy_check_mark:|
|E3| Proof of concept video player for real time video frame Super Resolution|[Here](E3_Streamer)|:heavy_check_mark:|

## UPDATE
ESRGAN just got published on [tfhub.dev](https://tfhub.dev)
Link: [https://tfhub.dev/captain-pool/esrgan-tf2/1](https://tfhub.dev/captain-pool/esrgan-tf2/1)
